petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMMoabCreateBoxMesh

Creates a mesh on the tensor product (box) of intervals with genCtx specified bounds.

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabCreateBoxMesh(MPI_Comm comm, PetscInt dim, PetscBool useSimplex, const PetscReal* bounds, PetscInt nele, PetscInt nghost, DM *dm)

Collective

### Input Parameters

| comm | - The communicator for the DM object
| dim | - The spatial dimension
| bounds | - The bounds of the box specified with [x-left, x-right, y-bottom, y-top, z-bottom, z-top] depending on the spatial dimension
| nele | - The number of discrete elements in each direction
| user_nghost | - The number of ghosted layers needed in the partitioned mesh

### Output Parameter

dm -The DM object

### See Also

DMSetType(), DMCreate(), DMMoabLoadFromFile()

### Level

beginner

### Location

src/dm/impls/moab/dmmbutil.cxx

### Examples

src/ts/examples/tutorials/ex35.cxx.html
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages